<div class="card my-5">
  <div class="card-body">
    <form (ngSubmit)="onSubmit()" #todoForm="ngForm">
      <div class="form-group">
        <label for="title"><Title></Title></label>
        <input type="text" [(ngModel)]="todo.title"
          class="form-control"
          id="title"
          name="title"
          placeholder="Enter title"
          required #title="ngModel">
      </div>
      <div [hidden]="!title.pristine" class="alert alert-danger">Title is required</div>
      <div class="form-group">
        <label for="content">Content</label>
        <input type="text" [(ngModel)]="todo.content"
          class="form-control"
          id="content"
          name="content"
          placeholder="Enter content"
          required #content="ngModel">
        <div [hidden]="!content.pristine" class="alert alert-danger">Content is required</div>
      </div>
      <button type="submit" [disabled]="!todoForm.form.valid" class="btn btn-info">Submit</button>
    </form>
  </div>
</div>
